This endpoint is still on our legacy API.
Fetch the reefer-specific stats of an asset.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Trailers under the Trailers category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/v1/fleet/assets/{asset_id}/reefer \
--header 'Authorization: Bearer <token>'{
"assetType": "Thermo King",
"id": 1,
"name": "Reefer 123",
"reeferStats": {
"alarms": [
{
"alarms": [
{
"alarmCode": 102,
"description": "Check Return Air Sensor",
"operatorAction": "Check and repair at end of trip",
"severity": 1
}
],
"changedAtMs": 1453449599999
}
],
"engineHours": [
{
"changedAtMs": 1453449599999,
"engineHours": 1200
}
],
"fuelPercentage": [
{
"changedAtMs": 1453449599999,
"fuelPercentage": 99
}
],
"powerStatus": [
{
"changedAtMs": 1453449599999,
"status": "Active (Continuous)"
}
],
"returnAirTemp": [
{
"changedAtMs": 1453449599999,
"tempInMilliC": 31110
}
],
"setPoint": [
{
"changedAtMs": 1453449599999,
"tempInMilliC": 31110
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the asset. Must contain only digits 0-9.
Timestamp in milliseconds representing the start of the period to fetch, inclusive. Used in combination with endMs.
Timestamp in milliseconds representing the end of the period to fetch, inclusive. Used in combination with startMs.
curl --request GET \
--url https://api.samsara.com/v1/fleet/assets/{asset_id}/reefer \
--header 'Authorization: Bearer <token>'{
"assetType": "Thermo King",
"id": 1,
"name": "Reefer 123",
"reeferStats": {
"alarms": [
{
"alarms": [
{
"alarmCode": 102,
"description": "Check Return Air Sensor",
"operatorAction": "Check and repair at end of trip",
"severity": 1
}
],
"changedAtMs": 1453449599999
}
],
"engineHours": [
{
"changedAtMs": 1453449599999,
"engineHours": 1200
}
],
"fuelPercentage": [
{
"changedAtMs": 1453449599999,
"fuelPercentage": 99
}
],
"powerStatus": [
{
"changedAtMs": 1453449599999,
"status": "Active (Continuous)"
}
],
"returnAirTemp": [
{
"changedAtMs": 1453449599999,
"tempInMilliC": 31110
}
],
"setPoint": [
{
"changedAtMs": 1453449599999,
"tempInMilliC": 31110
}
]
}
}